﻿@model eCommerce.Services.Model.TransactionCategory
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Concepto Contable";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Concepto</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("TransactionCategoryUpdate", "TransactionCategories", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Tipo</label>
                            <div class="col-sm-3">
                                <div class="radio-custom radio-primary">
                                    <input type="radio" id="TransactionTypeId" name="TransactionTypeId" checked="@(Model.TransactionTypeId == (int)TransactionTypeEnum.Ingreso)" value="@((int)TransactionTypeEnum.Ingreso)">
                                    <label for="inputRadiosChecked">Ingreso</label>
                                </div>
                                <div class="radio-custom radio-primary">
                                    <input type="radio" id="TransactionTypeId" name="TransactionTypeId" checked="@(Model.TransactionTypeId == (int)TransactionTypeEnum.Egreso)" value="@((int)TransactionTypeEnum.Egreso)">
                                    <label for="inputRadiosChecked">Egreso</label>
                                </div>
                            </div>
                        </div>
                        @*<div class="form-group">
                            <label class="col-sm-2 control-label">Aplica al Maaser</label>
                            <div class="col-sm-1">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" id="ApplyForMaaser" name="ApplyForMaaser" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.ApplyForMaaser ? "checked" : "") />
                                </div>
                            </div>
                        </div>*@
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/TransactionCategories'">Cancelar</button>
                            @Html.HiddenFor(model => model.TransactionCategoryId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                        //Siempre aplica para maaser (?)
                        <input hidden="hidden" name="ApplyForMaaser" id="ApplyForMaaser" value="true" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    }
                }
            });
        })();


    </script>
}

